<%
if Request.Servervariables("LOCAL_ADDR")="::1" then
      ServerPath="localhost"
else
      ServerPath=Request.Servervariables("LOCAL_ADDR")
end if
%>

<HTML><HEAD><title>TeeChart Pro 2017 AX export format comparison</title>
<LINK REL=STYLESHEET TYPE="text/css" HREF="Style.css">
<meta http-equiv="x-ua-compatible" content="IE=10">

<SCRIPT LANGUAGE=JAVASCRIPT>

function RefreshPage(){
  Document.Location="http://<%=ServerPath%>/TeeChartAX/OutputFormats.asp";
}

function hhxshow(){ 
  alert("test"); 
}

function hhshow()
{
  TChart1.Import.LoadFromURL("http://<%=ServerPath%>/TeeChartAX/CompareOutput.asp?Type=tee");
  TChart1.Panel.Gradient.Visible = true;
  TChart1.Series(0).VerticalAxis = 2; //aBothVertAxis
  TChart1.Panel.MarginLeft = TChart1.Canvas.TextWidth("  Very bad :-|   ") / TChart1.Width * 100;
  TChart1.Axis.Left.Labels.Visible = false;
  TChart1.Axis.Left.GridPen.Visible = false;
  TChart1.Axis.Right.GridPen.Visible = false;
  TChart1.Walls.Back.Gradient.Visible = true;
  TChart1.Walls.Back.Pen.Visible = false;  
  TChart1.Legend.Visible = false;
}

function TChart1_OnBeforeDrawSeries(){
  var i;
  var j;
  var k;

  var a = ["Very bad :-|", "Bad", "OK", "Good", "Excellent"];
  
  j = 0;
  if (TChart1.SeriesCount > 0) {
    k = Math.round((TChart1.Series(0).YValues.Maximum - TChart1.Series(0).YValues.Minimum) / 4);
    TChart1.Canvas.Pen.Width=1;
    TChart1.Canvas.Pen.Style = 2; //psDot
    if (TChart1.Canvas.IsScreenHighColor == false){
      TChart1.Canvas.Pen.Color = vbBlack;
	}
    else {
      TChart1.Canvas.Pen.Color = 0xE8E8E8; //rgb(232, 232, 232);
	}
   
    TChart1.Canvas.Brush.Color = 536870911; // 'clNone
    TChart1.Canvas.Brush.Style = 1; // 'bsClear
    TChart1.Canvas.ClipRectangle(0, TChart1.Axis.Top.Position-TChart1.Aspect.Height3D,
				    TChart1.Axis.Right.Position+TChart1.Aspect.Width3D,
                                    TChart1.Axis.Bottom.Position + 10);
    for (i = TChart1.Series(0).YValues.Minimum; i < TChart1.Series(0).YValues.Maximum; i = i + k){
     TChart1.Canvas.TextOut(TChart1.Axis.Left.Position - 40 - TChart1.Canvas.TextWidth(a[j] & " "),
			    TChart1.Axis.Left.CalcYPosValue(TChart1.Series(0).YValues.Minimum + (k * j))
			    - (TChart1.Canvas.TextHeight("H") / 2), a[j]);
     j = j + 1;
    }
    j = 0;
    TChart1.Canvas.ClipRectangle(0, TChart1.Axis.Top.Position - 5, TChart1.Axis.Right.Position + TChart1.Aspect.Width3D, TChart1.Axis.Bottom.Position);
    for (i = TChart1.Series(0).YValues.Minimum; i< TChart1.Series(0).YValues.Maximum; i=i+k){
     TChart1.Canvas.MoveTo(TChart1.Axis.Left.Position,TChart1.Axis.Left.CalcYPosValue(TChart1.Series(0).YValues.Minimum + (k * j)));
     TChart1.Canvas.LineTo(TChart1.Axis.Left.Position + TChart1.Aspect.Width3D,TChart1.Axis.Left.CalcYPosValue(TChart1.Series(0).YValues.Minimum + (k * j)) - TChart1.Aspect.Height3D);
     TChart1.Canvas.LineTo(TChart1.Axis.Right.Position + TChart1.Aspect.Width3D, 
	                       TChart1.Axis.Left.CalcYPosValue(TChart1.Series(0).YValues.Minimum + (k * j))) - TChart1.Aspect.Height3D;
     j = j + 1;
    }
  }
  TChart1.Canvas.UnClipRectangle();
}

function TChart1_OnAfterDraw() {
  TChart1.Canvas.Font.Color = 0xF0F032; //rgb(240,240,50);
  TChart1.Canvas.Font.Bold=true;
  if (TChart1.SeriesCount > 0) {
    if (TChart1.Series(0).Count > 0) {
      TChart1.Canvas.TextOut(TChart1.Axis.Left.Position,
                     TChart1.Axis.Top.Position - TChart1.Canvas.TextHeight("H") - 10,
                     "Max point: " & TChart1.Series(0).YValues.Maximum);
    }
  }
}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript" FOR="TChart1" EVENT="OnAfterDraw()">
TChart1_OnAfterDraw();
<!-- --></SCRIPT>

<SCRIPT LANGUAGE="JavaScript" FOR="TChart1" EVENT="OnBeforeDrawSeries()">
TChart1_OnBeforeDrawSeries();
<!-- --></SCRIPT>

</HEAD>
<BODY onLoad='hhshow();'>
<img src="TeeChartAX300x66.jpg">
<br><br>
<a href="ASPHome.htm">Back to Contents page</a>
<hr>
<p><FONT face=Verdana size=-1></p>
<h2>Example Live format</h2>

<h3>TeeChart Native Tee templates</h3>
<p><FONT face=Verdana size=-1>You can display Live Charts in ActiveX enabled browsers (Internet Explorer!) by placing the TeeChart OBJECT on the browser page. 
This Chart may be mousedrag zoomed or scrolled and its Axis labelling and grid have been modified with Custom Canvas events.</p>

<SCRIPT LANGUAGE=JAVASCRIPT>

function FillChart(){}

</SCRIPT>

<p>Load the Chart with a button, IE Window_Onload event, or TeeChart timer event (here Chart loaded with Window_OnLoad). The first Chart will appear with a yellow gradient if TeeChart detects that the screen is not high colour.</p>
<p><input type="button" value="Refresh page" onclick="RefreshPage();" name="cdmChart1"></p>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290
 CLASSID="CLSID:CC0427C7-2124-4770-8847-F9EF4C50CDC2">
</OBJECT>
<p>Left mousebutton drag to zoom (down right=zoom, up left = undo zoom), right mousebutton drag to scroll</p> 

<hr>
<h2>Example Static formats</h2>

<h3>PNG</h3>

<IMG SRC="http://<%=ServerPath%>/TeeChartAX/CompareOutput.asp?Type=png">

<br>

<h3>JPG</h3>

<IMG SRC="http://<%=ServerPath%>/TeeChartAX/CompareOutput.asp?Type=jpg">

<br>

<h3>GIF</h3>

<IMG SRC="http://<%=ServerPath%>/TeeChartAX/CompareOutput.asp?Type=gif">

<HR>Copyright &copy; 2017 Steema Software SL
</BODY></HTML>
